PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X DELETE "https://api.pinecone.io/indexes/docs-example" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
"Invalid API key"{
"error": {
"code": "FORBIDDEN",
"message": "Deletion protection is enabled for this index. Disable deletion protection before retrying."
},
"status": 403
}{
"error": {
"code": "NOT_FOUND",
"message": "Index example-index not found."
},
"status": 404
}{
"error": {
"code": "FAILED_PRECONDITION",
"message": "Unable to delete an index. There are pending collections for this index: ['test-collection']"
},
"status": 412
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}Indexes
Delete an index
Delete an existing index.
DELETE
/
indexes
/
{index_name}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X DELETE "https://api.pinecone.io/indexes/docs-example" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
"Invalid API key"{
"error": {
"code": "FORBIDDEN",
"message": "Deletion protection is enabled for this index. Disable deletion protection before retrying."
},
"status": 403
}{
"error": {
"code": "NOT_FOUND",
"message": "Index example-index not found."
},
"status": 404
}{
"error": {
"code": "FAILED_PRECONDITION",
"message": "Unable to delete an index. There are pending collections for this index: ['test-collection']"
},
"status": 412
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X DELETE "https://api.pinecone.io/indexes/docs-example" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
Authorizations
Headers
Required date-based version header
Path Parameters
The name of the index to delete.
Response
The request to delete the index has been accepted.
Was this page helpful?